summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin260896 -> 260894 bytes
-rw-r--r--dev-python/flask-sqlalchemy/Manifest2
-rw-r--r--dev-python/flask-sqlalchemy/flask-sqlalchemy-3.0.0.ebuild37
-rw-r--r--dev-python/google-api-python-client/Manifest2
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.64.0.ebuild53
-rw-r--r--dev-python/nuitka/Manifest2
-rw-r--r--dev-python/nuitka/nuitka-1.1.2.ebuild55
-rw-r--r--dev-python/pikepdf/Manifest2
-rw-r--r--dev-python/pikepdf/pikepdf-6.2.0.ebuild62
-rw-r--r--dev-python/pyftpdlib/Manifest2
-rw-r--r--dev-python/pyftpdlib/pyftpdlib-1.5.7.ebuild84
-rw-r--r--dev-python/pytest-localftpserver/Manifest2
-rw-r--r--dev-python/pytest-localftpserver/pytest-localftpserver-1.1.4.ebuild32
-rw-r--r--dev-python/ytmusicapi/Manifest2
-rw-r--r--dev-python/ytmusicapi/ytmusicapi-0.24.0.ebuild22
15 files changed, 359 insertions, 0 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index df53312c67e3..ee7b6846855e 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/flask-sqlalchemy/Manifest b/dev-python/flask-sqlalchemy/Manifest
index 8d42b5fd568d..9fde93b692d0 100644
--- a/dev-python/flask-sqlalchemy/Manifest
+++ b/dev-python/flask-sqlalchemy/Manifest
@@ -1,3 +1,5 @@
DIST Flask-SQLAlchemy-2.5.1.tar.gz 132750 BLAKE2B 6378766e9ae5e697f9a0fe23471f0264e5ac1f4c824657e5197f6c35f9f12eb756528641c1078b1bf470170c557c3201314a80b922b4ab84e4664a0ccaad2a6c SHA512 5d483418204030837e62769d45c16af88c5be6dbafc7c340cc4e67ef1736ea5102f506156119864cd7673cf382b0d3f27050bda64273b93ef4805fce9e1a0f6f
+DIST Flask-SQLAlchemy-3.0.0.tar.gz 127234 BLAKE2B 97737e16e3929b4449b7c004463d5976263bebdeb4d06f93afc531ad10545f7648103ebdaf8792967d504ec4e404e5f0411397216944eff8deebb1a69d01efe7 SHA512 48461453555cc659b1f35ea0d255c080784222a51a90de1cb5761ed08f3fffa83b6647a7346b860f2354484496e6cdbf1420cb9f0405b128174e7e6f1e30cbbe
EBUILD flask-sqlalchemy-2.5.1.ebuild 770 BLAKE2B d197db5d301949b5ccb7a911fdc40d9a69a993327517cc41c08b0c889b0d0c68865234ef8953557216c7996ad83a73463a87db6f2fc9beed655fa6f26234e089 SHA512 77f2e0076a57ec17ae06a36a3a7304ed6a9cf12c4e74b50589c8be62ea54c4455ea34dfe032bb07d0a47ee39afd5e6260dc6bd4403e2fd49b193aed62a0cde2b
+EBUILD flask-sqlalchemy-3.0.0.ebuild 829 BLAKE2B fd4cf48b16a85968588a420f2cc6ac687a060afab335f0d711c5da6ce57a48fc3347f368d30039985be72334f76c79797a25b062241263563866ea145ec7fbbe SHA512 f51974311f82ce1d1243db4d208c1d23475e8a2190fa25cca10fd3b4da97d83e0430a89dee5173f1f10da1f67f688d86f7ccf777680e1374e6e256c7f513a9b5
MISC metadata.xml 720 BLAKE2B 0b7ccbc3b323b0cd206c8c461018e901bb1c3386ba1f6ddd6f54c0fb42c485d262edd82c85ea24a07ee4bb40203cab301fc2ae0253326335ed9a80b09ba4c33b SHA512 1702e4420fe8cc018dfdeafeee3e863e8451b0bf7975e18a5632f520a30967f94420ee07c851c11f17a296b962978d5baaef048dd2af5b83ecac8a5a0fe25c01
diff --git a/dev-python/flask-sqlalchemy/flask-sqlalchemy-3.0.0.ebuild b/dev-python/flask-sqlalchemy/flask-sqlalchemy-3.0.0.ebuild
new file mode 100644
index 000000000000..f172c99db0bf
--- /dev/null
+++ b/dev-python/flask-sqlalchemy/flask-sqlalchemy-3.0.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+inherit distutils-r1
+
+MY_PN="Flask-SQLAlchemy"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="SQLAlchemy support for Flask applications"
+HOMEPAGE="https://pypi.org/project/Flask-SQLAlchemy/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/flask-2.2[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-1.4.18[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/blinker[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/pallets-sphinx-themes \
+ dev-python/sphinx-issues \
+ dev-python/sphinxcontrib-log_cabinet
diff --git a/dev-python/google-api-python-client/Manifest b/dev-python/google-api-python-client/Manifest
index d8f6ca712107..93addabfc219 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -2,8 +2,10 @@ DIST google-api-python-client-2.58.0.gh.tar.gz 33498127 BLAKE2B c00ecad1e863e5ab
DIST google-api-python-client-2.60.0.gh.tar.gz 33586321 BLAKE2B 01bb4dcf8a9b90a65c4e58ded91a7c03c525c15d29dc5b63011e1d1b8281ea68c04526af29d7853f4b7e16681c2482970f3b95faa190522ddf2f0ad3dd4e5e50 SHA512 7cae2e66ae7a41d25e551a5e9b14757d62c0212fe18640b4c1b8f51ff9e0150cfb9a2492de67530c7d24d6d09231d365520c3c06ffb342ba4a68a1a07b69b27d
DIST google-api-python-client-2.62.0.gh.tar.gz 34525876 BLAKE2B 0f2bcd7588a6635511d3851f0a0881761d9cf905a83b406aaa824ef1ac86a3f9af9df2f90193b30852028b804fd30d8aa6214a5be83e26401a626ce3156e884f SHA512 4348bce74db02f74bd386d0276de2e2ec0126e7c1b79bea962056612f868d2b2306c51663ca293672db750460bd3722a66fb22139d14f30adcd3e0d455a2118a
DIST google-api-python-client-2.63.0.gh.tar.gz 34736367 BLAKE2B 4657dd86a62def7d2858cefd63d8c8b23b36a38f65aa3e76f4436eb4d3334321fbda9530684b2d001883ba0345ef7de6d8447a86208023a3e77dae59269ef255 SHA512 a8253904fc9db8687be7a04356e9e11202073ce05c77f770d51ed973e0c87db32c4b39750e1a48d813186530dfeae0f76452df7241686d6a64afbdff35626387
+DIST google-api-python-client-2.64.0.gh.tar.gz 36028133 BLAKE2B 8e9abadddda17d078210c9cdf5e18db02199bae1ee6f7e5364002266ca9795100fefd8dbbfbaecd5c9e2b74e5125e42535e23f9735fb83b8fe5bc1adae1fe815 SHA512 a525d26224e7b4b647bf5fde82434fbe0e221ff55591b1564b0a3af5e1d49492b3ea157d75bec0328bda754318b9d5e57d78b4d8d532afad2e3b8cbfc650f876
EBUILD google-api-python-client-2.58.0.ebuild 1442 BLAKE2B f386901776c1845ec0815ba4254b5e6cdbeec0c7dab8a3928bb60a6259ef1140bd4e3ece4287fc3ea0e1833a69cb8432fa973447f83846e60b6a6b2038bfbb20 SHA512 828e71b82de37f6d50f980e897c0cf5a46df036dcfa005906aed6772455c8f5059c1fa6bcf0b2340fb9307df08df2789e6421e26b5c0ff28774844c3a36c828c
EBUILD google-api-python-client-2.60.0.ebuild 1444 BLAKE2B 4bd33fb2b9ec7d091d0b8e5aadbc24c5c786d4adf497087e749364f74f54536db99cd9efc6ade89b333e60ac09220badf45e721fca040227a53f151ee197b131 SHA512 4a3be7d069bf83dba8a7911ce9ed5761e1fe2c78dacb94a921aea897a0ba201b5c58983de5a487f841f498501b7e2ea7a5bdefad29a518fd75e546ff3c10925e
EBUILD google-api-python-client-2.62.0.ebuild 1444 BLAKE2B 4bd33fb2b9ec7d091d0b8e5aadbc24c5c786d4adf497087e749364f74f54536db99cd9efc6ade89b333e60ac09220badf45e721fca040227a53f151ee197b131 SHA512 4a3be7d069bf83dba8a7911ce9ed5761e1fe2c78dacb94a921aea897a0ba201b5c58983de5a487f841f498501b7e2ea7a5bdefad29a518fd75e546ff3c10925e
EBUILD google-api-python-client-2.63.0.ebuild 1444 BLAKE2B 4bd33fb2b9ec7d091d0b8e5aadbc24c5c786d4adf497087e749364f74f54536db99cd9efc6ade89b333e60ac09220badf45e721fca040227a53f151ee197b131 SHA512 4a3be7d069bf83dba8a7911ce9ed5761e1fe2c78dacb94a921aea897a0ba201b5c58983de5a487f841f498501b7e2ea7a5bdefad29a518fd75e546ff3c10925e
+EBUILD google-api-python-client-2.64.0.ebuild 1444 BLAKE2B 4bd33fb2b9ec7d091d0b8e5aadbc24c5c786d4adf497087e749364f74f54536db99cd9efc6ade89b333e60ac09220badf45e721fca040227a53f151ee197b131 SHA512 4a3be7d069bf83dba8a7911ce9ed5761e1fe2c78dacb94a921aea897a0ba201b5c58983de5a487f841f498501b7e2ea7a5bdefad29a518fd75e546ff3c10925e
MISC metadata.xml 538 BLAKE2B bf0b8ab3a89ce9ab1d2159f4c0ebfe3f2646aced20bd2006485510c12d22e83cc130fac979f699ae6431a610c8d2acf86c04b39bc262abaf167c20571a860810 SHA512 30d004d944055660165954f8475e57ba45cef56423c80a324118836d78e5376261409955155a40c9bd988f230f3e2fc44c6aeb6fae3028c78c55a382ccd83bff
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.64.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.64.0.ebuild
new file mode 100644
index 000000000000..7e8aaa05d6d4
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.64.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="
+ https://github.com/googleapis/google-api-python-client/
+ https://pypi.org/project/google-api-python-client/
+"
+SRC_URI="
+ https://github.com/googleapis/google-api-python-client/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ >=dev-python/google-api-core-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/oauth2client[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ )
+
+ epytest tests
+}
diff --git a/dev-python/nuitka/Manifest b/dev-python/nuitka/Manifest
index 13cd03845992..46fa7b84508b 100644
--- a/dev-python/nuitka/Manifest
+++ b/dev-python/nuitka/Manifest
@@ -1,7 +1,9 @@
DIST Nuitka-1.0.8.tar.gz 3890590 BLAKE2B 04257834d79f0988800a06d9b4725e9fa694bf7f9aafebbfb9ddbb09a2a5f666c02f13bf8ee56fd3360216faa31cd7b14a30d9a2daf23eef719ed568bfd3501c SHA512 824830121ca87b33aebcee074e0af52e456942190168186248a9ed62937bb044c6741ff721bd4bcd7d657cae96d573c1a6b9cb1fde6374073c12c1e1f6a6df26
DIST Nuitka-1.1.1.tar.gz 3921434 BLAKE2B 75198a2012f56db86a324bb73dd3a181aabbfb4e251e3727ee4fede4011a2cef48e68e6d075d99bae18e76602ab02b021584538c8d0396edd4b8bcc1c5a8eb59 SHA512 aa9bb9786b81475ec953cb72aa4efd27a9d9d7de1e2464c5b328c58dcc9667175634fdbeefb2eb7e50abd767f5d5def37ad24fa77c767c37820684bfc41cea1e
+DIST Nuitka-1.1.2.tar.gz 3921859 BLAKE2B d9d2c41a385ef0c9204b92fac9f5784b6ba2bdaffa4d04cc085a774f5f7cede95132ac985b4862a40c7977e3ec7128082800f17391b720ff3abb666f33d7089a SHA512 848a2a990585c50cc74d35288c12e87af452a05a697008fab3161ebfc545a4d0ca0cfedd3c5c4815755d76d366efb5634d2a92d62da1dfb6b458f96782eb04b5
DIST Nuitka-1.1.tar.gz 3920532 BLAKE2B 0d6ff01815bbc9216b5e5157bcb849b5182d025fe16523efde2bd812ca90d0b8008ba0d55e20e40b41c81250c2a1d309f99adff6498a3466f4d546ce8a7dfbca SHA512 abf9a2f07751f963bb727bc6c1affca0be3f02e6d1ead0206979b00589de0571a8e8e4e6af08bbc8fa285b1e2cbc5971bb88b417aca73c8069da200f7cd04fe5
EBUILD nuitka-1.0.8.ebuild 1140 BLAKE2B 0f839fb78068157dccbf22121b2ecceb056e1462a5f7c8ce7c7d28116e390ec618b02f42f8f67dbaf3b345f04d519b0214bbdbdfe03b8c0e7594366a7a6911ea SHA512 ecbf3874813e37fd078cd5900a53b28e4686ab913b00867a0817ebeb7ea21f2c9d9fa712993ae7fc8eb26d9e31d375bff729135b432693700ce4e31fe42e631f
EBUILD nuitka-1.1.1.ebuild 1214 BLAKE2B b5c547ea636f0c56f83984808e9596f6119416150c47d49fbb77c6ba7c9ffaf8f23781fdf6a18aadabb5e7c77986c1709820583abee20d7ec6d2e53de4655653 SHA512 9c1931c4e40b695eb166bd0160c6a4cb5874873cbd1241bf275d38c823f4cb82fc335b8083b8bac4575294cdd1a7767b31533a437ae4f5364e3bc546da989cca
+EBUILD nuitka-1.1.2.ebuild 1214 BLAKE2B b5c547ea636f0c56f83984808e9596f6119416150c47d49fbb77c6ba7c9ffaf8f23781fdf6a18aadabb5e7c77986c1709820583abee20d7ec6d2e53de4655653 SHA512 9c1931c4e40b695eb166bd0160c6a4cb5874873cbd1241bf275d38c823f4cb82fc335b8083b8bac4575294cdd1a7767b31533a437ae4f5364e3bc546da989cca
EBUILD nuitka-1.1.ebuild 1214 BLAKE2B b5c547ea636f0c56f83984808e9596f6119416150c47d49fbb77c6ba7c9ffaf8f23781fdf6a18aadabb5e7c77986c1709820583abee20d7ec6d2e53de4655653 SHA512 9c1931c4e40b695eb166bd0160c6a4cb5874873cbd1241bf275d38c823f4cb82fc335b8083b8bac4575294cdd1a7767b31533a437ae4f5364e3bc546da989cca
MISC metadata.xml 943 BLAKE2B d7ab883773e7480dcfb4b79932a3874e2274669169a24a54aa622a2a0ac079e0296da4bd196d166cb11fcff785985da0b10d0fae351032914ccf312c9bb9833c SHA512 625d8760b8e849c6e014856f584cb42f50bb5ebb1fa648cb704a5a1baf175e7d2ce9f43f6f724d11c81a68e364b6ac1c38459540b58f2ccd6a675902af5b1cc9
diff --git a/dev-python/nuitka/nuitka-1.1.2.ebuild b/dev-python/nuitka/nuitka-1.1.2.ebuild
new file mode 100644
index 000000000000..b55f0385d58a
--- /dev/null
+++ b/dev-python/nuitka/nuitka-1.1.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1 flag-o-matic optfeature
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+ https://www.nuitka.net/
+ https://github.com/Nuitka/Nuitka/
+ https://pypi.org/project/Nuitka/
+"
+SRC_URI="https://nuitka.net/releases/${P^}.tar.gz"
+S=${WORKDIR}/${P^}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-util/scons[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+DOCS=( Changelog.pdf Developer_Manual.pdf README.pdf )
+
+distutils-r1_src_prepare() {
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "${PN}/build/inline_copy/lib/scons-2.3.2/SCons" || die
+ eapply_user
+}
+
+python_install() {
+ distutils-r1_python_install
+ doman doc/nuitka3.1 doc/nuitka3-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" app-admin/chrpath
+}
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index 88001866246d..b2dc24f96a50 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -1,7 +1,9 @@
DIST pikepdf-5.6.1.gh.tar.gz 2905150 BLAKE2B 35c06251debb935b88f13e27f42f80b36275575d7848409bb19fa380be7429b785b8fea36e7d882a49df2e40e6c34fcc3d900b1b362f5ccf600780291f43d1f7 SHA512 add8edb16cba2081c479739ec215dc8c96a1896a159febb5bc2f74c2da1e8cf83b12a1302e1ad2ce8ab6fbf01a16104f8efb9c7a764fa1eedbc795dc45a71dfe
DIST pikepdf-6.0.2.gh.tar.gz 2905158 BLAKE2B b80bee6690513ebd43b590ec5addb40f81a31b27adab77e04f0fd521e0a23a5bc974c6026163f1c9faf23f0d9e2b004961d93a19fab20a43bdf27b0a69597413 SHA512 8c1213535d503f388de6845d28f430947630717f8c299e6a384204de38e2f5f1a5858a0307abd5a34a2f4d79787bdab0e1be286a99ce91b64fc0fcf3f3553d89
DIST pikepdf-6.1.0.gh.tar.gz 2905226 BLAKE2B efa6ce6d75e36885f6b59eb01a869c50ba4eddae4d7c10bdfb13d1c8162a6f21a51d4b4fa3d3d0d80180d72c558a245aadf4fa372993efcdf735c5a4a7a64a35 SHA512 75349634a97fed40dc8f86ad58c4e45cccf3e6e78818d473894c6bc52a3a5584f4f705836fab038e8256b44b7d02801d3e7202488366b8ba298972fa6f0ef809
+DIST pikepdf-6.2.0.gh.tar.gz 2905445 BLAKE2B 07a6ade367c438ab5df885827d7610e998252d1c8784b1f81d377c2d3ac897a812802a6ed1b8e84cedeb6fc8394e2e77116e2628c31ae06d3b08a8ca6957b25f SHA512 3287ed2203b8dc1c2f5281a45612cfda3107576413d4579984b9e7f6a5bcdbb795bf09559b4ca8a4fe5d7f70d94f5c404b4e3f6422bdfde4b8fd48830c1e280d
EBUILD pikepdf-5.6.1.ebuild 1597 BLAKE2B 8319cb40e4d91004e5b7f9de651dcd0814cef376e9e05a309f86ceac434bce74f5f918d2ea011d7be55c63455b6fc6b2ee4356d89df581f22d924be8ec466d8c SHA512 0d1472ddabaa4361b2fc5485e2f89832b0297ff4960ba782d965f5a76e0874f2f2fc9bdfb8d171c650b98a1859eccbd2f3f248fbdda5a7ced1f89c3494aec211
EBUILD pikepdf-6.0.2.ebuild 1631 BLAKE2B 39e3fcf6a88b8abae291b19cacc0a765549573dc53cbfc19edf2196b2c9f6b254598e2459a4037db6e44abadac5f16bd5e9bb23222dbb740e24fa060fa82b84e SHA512 8a6a5a16cf6549e92fb2329821e101bc6454bd3dbd9e7429fe9990436f08f3c6736dc59929cc51863aa8be80b41b56e42d1c634beb4f8b29e3ff0d885b16a6da
EBUILD pikepdf-6.1.0.ebuild 1631 BLAKE2B acf667cb77539de1d593e716cbd4cb5d0ff5ed445109624a9557984d719287270014bddd957021c663c86c2c091b2c7701d32b3f5a5bd317fb3c3ecadeee6724 SHA512 1e316d672559e840eb9e14f2e1d67dab21f057e5e1a254cc0f97779183af32394d6544464e52a15e823e583be3981eea0e729e8223437f676bac165d951d7569
+EBUILD pikepdf-6.2.0.ebuild 1631 BLAKE2B acf667cb77539de1d593e716cbd4cb5d0ff5ed445109624a9557984d719287270014bddd957021c663c86c2c091b2c7701d32b3f5a5bd317fb3c3ecadeee6724 SHA512 1e316d672559e840eb9e14f2e1d67dab21f057e5e1a254cc0f97779183af32394d6544464e52a15e823e583be3981eea0e729e8223437f676bac165d951d7569
MISC metadata.xml 687 BLAKE2B 07c94d9dac5323202f955fd9c1e5a6fc78518a0a6f703c54c73b70e774900c41a4823beb3f8be7068d83878d1e60df0d7e30efd53bbc1ba31019477de82b092f SHA512 1be3ec00342e8079363db0c57f75ae88bd05e873869fbbb27442e9fe98eb6917c55b4eaf03ed22c4c44ca3aec9b84839cbc254202460a3266bbc42ff8f0f84b3
diff --git a/dev-python/pikepdf/pikepdf-6.2.0.ebuild b/dev-python/pikepdf/pikepdf-6.2.0.ebuild
new file mode 100644
index 000000000000..2c46dba61a96
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-6.2.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="
+ https://github.com/pikepdf/pikepdf/
+ https://pypi.org/project/pikepdf/
+"
+SRC_URI="
+ https://github.com/${PN}/${PN}/archive/v${PV/_p/.post}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+DEPEND="
+ >=app-text/qpdf-11.1.1:0=
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/deprecation[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pillow-9[${PYTHON_USEDEP}]
+ >=dev-python/pybind11-2.9.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pybind11-2.9.1[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-7.0.5[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/-n auto/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pyftpdlib/Manifest b/dev-python/pyftpdlib/Manifest
index 2ff30505c841..ab3c9ab23d21 100644
--- a/dev-python/pyftpdlib/Manifest
+++ b/dev-python/pyftpdlib/Manifest
@@ -1,3 +1,5 @@
DIST pyftpdlib-1.5.6.tar.gz 188099 BLAKE2B 508e94da6b27b4b1f15306df2916c176f07ca31944398e9ac580fca8d2cdc72ca0ee8e7db282de6745e2e401b23b1fa8cb8de400dc2ba998b93ac45772c78157 SHA512 a3c3c1cac221a8a3c090ee208c03134bb1b8de58099a23ca6ee422f06fb97a0ed561c96e62c62b21fa112dd0b3458651b9fc0c55d72dc0bed79d0583b319a50d
+DIST pyftpdlib-1.5.7.tar.gz 196076 BLAKE2B 9400fb9ff5d8c0e904f07dabef72a07528bc43a5332ad26544f0e512c457a919e887e9f9af18b75cb7853f2e0b70993bc5a858438924320e738d4bc9e2e17090 SHA512 66ad5a1ab8fde26233250351f553cdc411303616d717c416cdce059f93c64e6ef64c7707103644583249b6aba22a9841994b38e731edc7997e95e266dbdbdc22
EBUILD pyftpdlib-1.5.6-r1.ebuild 3141 BLAKE2B 639e5fac19f4d3a9c20a86e389c8e0163f6861a7de23b5627a720b3f8d7248cd576196f5327056161e3e90ccdd9e8c6ddc9494be621de238ab8408aee5ae5c5f SHA512 584205689b351e73a968b11a6e79258467927024cfb88ec8f5368d2f965f6acfee67b2b67804677260c33e08b03a846a1ffcdb7289c9ad7a2dd604436e25529f
+EBUILD pyftpdlib-1.5.7.ebuild 3191 BLAKE2B c8fc790deab5e948860f9ab1da760181acdd48efdca802b64a9353ffcfe1af1965cb977dd3258cfb8dc11154ba2d555e9cbb92e47b85b862905e8edae2dbd05f SHA512 872948f1f3ec6676c1fbe5fc53400999aedb7a37fcdf45a1a966852e7cd34afbb8ee0f5e71ec36c34924613089fe09caf1f0be5053e7be9756c307c0221716ff
MISC metadata.xml 463 BLAKE2B ad4e4d5a1717e55743061f2cb4baaa7ea8ce73f4caf0c8d62535aaf73daf12339584bf75c82c35b425223f478094bb37518b43d34694fb4bc6aef6f11033fa8e SHA512 98bb4e647da164a8676f9162d1109d1f6d1ff9279ba8d26207f2ed793537af27de11b40296bacfb478e87b6479c9d31bb24f56bc1acf2a0bc228b2d00a733e1d
diff --git a/dev-python/pyftpdlib/pyftpdlib-1.5.7.ebuild b/dev-python/pyftpdlib/pyftpdlib-1.5.7.ebuild
new file mode 100644
index 000000000000..df79fd45d97e
--- /dev/null
+++ b/dev-python/pyftpdlib/pyftpdlib-1.5.7.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..11} )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python FTP server library"
+HOMEPAGE="https://github.com/giampaolo/pyftpdlib https://pypi.org/project/pyftpdlib/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris"
+IUSE="examples ssl"
+
+RDEPEND="
+ ssl? ( dev-python/pyopenssl[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
+
+python_test() {
+ cd "${BUILD_DIR}"/lib || die
+
+ # These tests fail when passing additional options to pytest
+ # so we need to run them separately and not pass any args to pytest
+ pytest ${PN}/test/test_misc.py || die "Tests failed with ${EPYTHON}"
+ # Some of these tests tend to fail
+ local EPYTEST_DESELECT=(
+ # Those tests are run separately
+ pyftpdlib/test/test_misc.py
+ # https://github.com/giampaolo/pyftpdlib/issues/471
+ # https://bugs.gentoo.org/636410
+ pyftpdlib/test/test_functional.py::TestCallbacks::test_on_incomplete_file_received
+ # https://github.com/giampaolo/pyftpdlib/issues/512
+ # https://bugs.gentoo.org/701146
+ pyftpdlib/test/test_functional_ssl.py::TestFtpStoreDataTLSMixin::test_rest_on_stor
+ pyftpdlib/test/test_functional_ssl.py::TestFtpStoreDataTLSMixin::test_stor_ascii
+ # https://github.com/giampaolo/pyftpdlib/issues/513
+ # https://bugs.gentoo.org/676232
+ pyftpdlib/test/test_servers.py::TestFtpAuthentication::test_anon_auth
+ # https://github.com/giampaolo/pyftpdlib/issues/513
+ # https://bugs.gentoo.org/702578
+ pyftpdlib/test/test_servers.py::TestFtpAuthentication::test_auth_failed
+ # https://github.com/giampaolo/pyftpdlib/issues/543
+ # https://bugs.gentoo.org/758686
+ pyftpdlib/test/test_functional.py::ThreadedFTPTests::test_idle_timeout
+ pyftpdlib/test/test_functional.py::ThreadedFTPTests::test_stou_max_tries
+ # https://github.com/giampaolo/pyftpdlib/issues/550
+ # https://bugs.gentoo.org/759040
+ pyftpdlib/test/test_functional.py::TestConfigurableOptions::test_masquerade_address
+ pyftpdlib/test/test_functional.py::TestConfigurableOptions::test_masquerade_address_map
+ pyftpdlib/test/test_functional_ssl.py::TestConfigurableOptions::test_masquerade_address
+ pyftpdlib/test/test_functional_ssl.py::TestConfigurableOptions::test_masquerade_address_map
+ pyftpdlib/test/test_functional_ssl.py::TestConfigurableOptionsTLSMixin::test_masquerade_address
+ pyftpdlib/test/test_functional_ssl.py::TestConfigurableOptionsTLSMixin::test_masquerade_address_map
+ )
+ # Tests fail with TZ=GMT, see https://bugs.gentoo.org/666623
+ local -x TZ=UTC+1
+ # Skips some shoddy tests plus increases timeouts
+ local -x TRAVIS=1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_install_all() {
+ if use examples; then
+ docinto examples
+ dodoc -r demo/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pytest-localftpserver/Manifest b/dev-python/pytest-localftpserver/Manifest
index 0be800529293..c780c9caaddf 100644
--- a/dev-python/pytest-localftpserver/Manifest
+++ b/dev-python/pytest-localftpserver/Manifest
@@ -1,3 +1,5 @@
DIST pytest_localftpserver-1.1.3.tar.gz 44510 BLAKE2B 98085adc5dd31bb6556ea1f31c6342e8453a07c24658baf5fe94e91a001e9b88c5f6ef01a3a8419bd7b1bd3eb053ef52788c80926c5984b523d9f575224ff6ec SHA512 8058f7c6853acf709fdf4e0ce169af4281e2236a615261c0e148965dc1899af78b558ae5231600a106c538c1790ad886bea80ba7ebf278c70b6d553e58c0202b
+DIST pytest_localftpserver-1.1.4.tar.gz 44573 BLAKE2B 8c5bd0065d36d7c312944ce41747db141c90b7cbad134b6d3ce387cc9ef3f536882b27d1d0c23c67fb9e75546e62d0b1434faaa577c61f07a9915bf146b6a9e2 SHA512 67f7ca9d212f187f2e91d274523390438e07c52dc048b832e65012ef49d2843002806db1fbf2eba560bef671a0ef541bfb44f6b8226fe5d9d40acd08d53c4f48
EBUILD pytest-localftpserver-1.1.3.ebuild 821 BLAKE2B 4c258f31b34e2ff29d4f284783871e7485267815b3d23bc557701be7a9ef0b2e4be9db9f74f6c2402da2f24beec173e6f2a49f12ffc59cdf23f35c3c28f0818e SHA512 77a1c02e55dd513eb1167e361e65504622a0c04ef0161b98bb46e4cc4de67814a46f6554716c7c7aa9c08da742443b621ebbd8265f42bbbd70a93e22ae8d3f95
+EBUILD pytest-localftpserver-1.1.4.ebuild 821 BLAKE2B 4c258f31b34e2ff29d4f284783871e7485267815b3d23bc557701be7a9ef0b2e4be9db9f74f6c2402da2f24beec173e6f2a49f12ffc59cdf23f35c3c28f0818e SHA512 77a1c02e55dd513eb1167e361e65504622a0c04ef0161b98bb46e4cc4de67814a46f6554716c7c7aa9c08da742443b621ebbd8265f42bbbd70a93e22ae8d3f95
MISC metadata.xml 569 BLAKE2B 5a2afdbd9c95515e83ac146f95c1c1da36e556402c625151fb52bf067e58d4178111e8fb0457113cc292b0f480ccb9b1d4026f9bcb212db57711b4c08e3db658 SHA512 cdcf50653ca1020b258d9c38e524d6a27c9e287cdb286f36d568dd2fc1b07dad241df07d0fcc2466d341d11d3d0ade5ddb033b026eba744500cc2931da44064d
diff --git a/dev-python/pytest-localftpserver/pytest-localftpserver-1.1.4.ebuild b/dev-python/pytest-localftpserver/pytest-localftpserver-1.1.4.ebuild
new file mode 100644
index 000000000000..e826b9bbbf46
--- /dev/null
+++ b/dev-python/pytest-localftpserver/pytest-localftpserver-1.1.4.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+MY_PN="${PN/-/_}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A PyTest plugin which provides an FTP fixture for your tests"
+HOMEPAGE="https://pypi.org/project/pytest-localserver/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="dev-python/pyftpdlib[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+EPYTEST_IGNORE=(
+ # These tests require python wget module, but not in Portage
+ tests/test_pytest_localftpserver.py
+ tests/test_pytest_localftpserver_TLS.py
+ tests/test_pytest_localftpserver_with_env_var.py
+)
+
+distutils_enable_tests pytest
diff --git a/dev-python/ytmusicapi/Manifest b/dev-python/ytmusicapi/Manifest
index 93dd23474b58..793757766994 100644
--- a/dev-python/ytmusicapi/Manifest
+++ b/dev-python/ytmusicapi/Manifest
@@ -1,5 +1,7 @@
DIST ytmusicapi-0.22.0.tar.gz 50474 BLAKE2B cd0d3a0c45a754560cb70b1766888d76a4b4c1b956f0112d761b1ee8663d7ed792c2befc71c5430464daacb19b7bcff48b7e2d079fd5de08db4583a110b4002a SHA512 3286e67e80c5b73e18b7d30040faca76d790b1b4ac45e635d721f5465379d525af89e6f6635353d3849c43d67c8b59a632423d3bee5a24a2e9c993cc009f2286
DIST ytmusicapi-0.23.0.tar.gz 56717 BLAKE2B 39483ecfb90fe902a33cf535d8a13f55d2d1ff4aa2e6b00b6e8cee4547b46f915dc75c86dc0dcfb876eca74d17c4810ebc1e210863d5588b9b084a14cd6f6570 SHA512 401cf7908b77f3f8279d510992c242c0d75cd97b6566b79743421d8c3eee456d6ccb6b09bad8b3582a166c7dc4688e68846131fe90b725fa1c257a4202a3d148
+DIST ytmusicapi-0.24.0.tar.gz 57431 BLAKE2B ba0ceee4764ff0c09efe309ef7182001d0d0dcd8e959b0b0b3e31b267986896728f67cbda14a33e8935068d551f24509de4364877c5810a29ef8b59bc0324291 SHA512 bec107edaec064aaec300a812a56f70b8eb6a217f2dba9e10a745f9315fe9e89ccef2e05619ae236efd21a9ced0fa414f35d9180e2f9efdc40fe8c75b41e9eb4
EBUILD ytmusicapi-0.22.0.ebuild 535 BLAKE2B a58ef20fb67c130a7b70d53c2c47fc4e92db5526161cd98f7b518d145f6c15489b33759f2e4db135676f960c50b31daf46f1d0a7b0194c15b4fcfd1ea0ef0390 SHA512 d604121b1ed2182763677998afdca3aab24dde4ab0cf4b5c019e652d4aa6e2dfff9bc2000010ed539eaa9185dcf7efbbc4ed4a4950e5813a7f9406ad4f3d477f
EBUILD ytmusicapi-0.23.0.ebuild 547 BLAKE2B c326753bbf73e795351640909b6977c52791da959fff7d27c20cef09d856e22181074064cbf70670317c633fd9cde20c6f1e2c90478c67ea61be13588c111034 SHA512 71c8c66dce49642745ee9254ddba7f0e6e3f19045cc5d0e3e3ecb19c168e67900ec752740d8f40cd6b9e5d1c41c90e315f1c147632e43c963760703fdeb9e0b3
+EBUILD ytmusicapi-0.24.0.ebuild 547 BLAKE2B c326753bbf73e795351640909b6977c52791da959fff7d27c20cef09d856e22181074064cbf70670317c633fd9cde20c6f1e2c90478c67ea61be13588c111034 SHA512 71c8c66dce49642745ee9254ddba7f0e6e3f19045cc5d0e3e3ecb19c168e67900ec752740d8f40cd6b9e5d1c41c90e315f1c147632e43c963760703fdeb9e0b3
MISC metadata.xml 457 BLAKE2B d0c47a8419447ae65b9d126c3e57283790e48e97099b08ddd6666c51e3d6452412d7df7caf2c6ca538a34f2de81309cf1e1c9468d932feea51fae9047e8592df SHA512 843a8ef31306802557af79c2f7bffa00c339f1c17600d95cbe55ac12de89cfc07127c4efd57002ae27a2899c5b39d9b704c56c03223734545dd0608def9a4711
diff --git a/dev-python/ytmusicapi/ytmusicapi-0.24.0.ebuild b/dev-python/ytmusicapi/ytmusicapi-0.24.0.ebuild
new file mode 100644
index 000000000000..f7bf16281852
--- /dev/null
+++ b/dev-python/ytmusicapi/ytmusicapi-0.24.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Unofficial API for YouTube Music"
+HOMEPAGE="https://ytmusicapi.readthedocs.io/
+ https://github.com/sigma67/ytmusicapi/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+RDEPEND="dev-python/requests[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx docs/source dev-python/sphinx_rtd_theme